<template>
    <div>
        <PlaceholderField :placeholder="placeholder" />
        <select v-model="currentItem" :disabled="disabled || !items.length">
            <option v-for="item in items" :value="item[name]" :key="item[name]">
                {{ item[text] }}
            </option>
        </select>
    </div>
</template>

<script>
import PlaceholderField from "@/components/PlaceholderField";
export default {
    name: "Selector",
    components: { PlaceholderField },
    props: {
        items: { type: Array, default: () => [] },
        text: { type: String, default: "name" },
        name: { type: String, default: "id" },
        disabled: { type: Boolean },
        value: Number,
        placeholder: String,
    },
    computed: {
        currentItem: {
            get() {
                return this.value;
            },
            set(value) {
                this.$emit("input", value || null);
            },
        },
    },
};
</script>

<style scoped></style>
